Package org.eclipse.jface.dialogs

# Class ControlAnimator

java.lang.Object
org.eclipse.jface.dialogs.ControlAnimator

@Deprecated(forRemoval=true, since="2025-03") public class ControlAnimator extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.3, this class is no longer used
ControlAnimator provides a simple implementation to display or hide a control at the bottom of the parent composite. Other animations will be written as subclasses of this class.

Instances of this class can be created using an AnimatorFactory.

Since:
  3.2

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Control`
`control`
Deprecated, for removal: This API element is subject to removal in a future version.
the control that will be displayed or hidden

## Constructor Summary

Constructors
Constructor
Description
`ControlAnimator(Control control)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new ControlAnimator instance and passes along the control that will be displayed or hidden.

## Method Summary

Modifier and Type
Method
Description
`void`
`setVisible(boolean visible)`
Deprecated, for removal: This API element is subject to removal in a future version.
Displays or hides a control at the bottom of the parent composite and makes use of the control's SWT visible flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### control

protected Control control
Deprecated, for removal: This API element is subject to removal in a future version.
the control that will be displayed or hidden

## Constructor Details

### ControlAnimator

public ControlAnimator(Control control)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new ControlAnimator instance and passes along the control that will be displayed or hidden.

Parameters:
  `control` - the control that will be displayed or hidden.

## Method Details

### setVisible

public void setVisible(boolean visible)
Deprecated, for removal: This API element is subject to removal in a future version.
Displays or hides a control at the bottom of the parent composite and makes use of the control's SWT visible flag.

Subclasses should override this method.

Parameters:
  `visible` - `true` if the control should be shown, and `false` otherwise.